Bug 67702 - [Qt] Remove Qt specific code from css/SelectorChecker.cpp
: [Qt] Remove Qt specific code from css/SelectorChecker.cpp
Status: RESOLVED FIXED
: WebKit
CSS
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To:
:
: Qt, QtTriaged
:
:
  Show dependency treegraph
 
Reported: 2011-09-07 03:00 PST by
Modified: 2011-09-21 01:58 PST (History)


Attachments
proposed patch (14.44 KB, patch)
2011-09-08 08:45 PST, Andras Becsi
no flags Review Patch | Details | Formatted Diff | Diff
proposed patch (14.49 KB, patch)
2011-09-08 08:48 PST, Andras Becsi
no flags Review Patch | Details | Formatted Diff | Diff
proposed fix v2 (14.52 KB, patch)
2011-09-09 03:43 PST, Andras Becsi
no flags Review Patch | Details | Formatted Diff | Diff
updated patch (14.57 KB, patch)
2011-09-12 06:28 PST, Andras Becsi
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-09-07 03:00:51 PST
This code introduced in http://trac.webkit.org/changeset/43052/trunk/WebCore/css/CSSStyleSelector.cpp
and a refactoring of this code (http://trac.webkit.org/changeset/94656) showed that there are
Qt specific code here (build fail), but in general code it isn't acceptable.
------- Comment #1 From 2011-09-07 03:03:05 PST -------
I cc-ed the author, reviewer and the commiter of the original patch,
additionally Antti and András as CSS experts.
------- Comment #2 From 2011-09-07 10:25:06 PST -------
(In reply to comment #0)
> This code introduced in http://trac.webkit.org/changeset/43052/trunk/WebCore/css/CSSStyleSelector.cpp
> and a refactoring of this code (http://trac.webkit.org/changeset/94656) showed that there are
> Qt specific code here (build fail), but in general code it isn't acceptable.

I have a work-in-progress patch which moves this logic to the platform specific WebPlatformStrategies, so we could deal with the QWebHistoryInterface visited link check in the platformStrategies()->visitedLinkStrategy()->isLinkVisited call to avoid the layering violation.

This unfortunately would break the visited link detection on a Qt build where PLATFORM_STRATEGIES is disabled.
A possible solution for this would be to only support global history if PLATFORM_STRATEGIES is enabled. Tomorrow I'll upload the patch for feedback.
------- Comment #3 From 2011-09-07 10:29:43 PST -------
I think PLATFORM_STRATEGIES is a per platform enabled/disabled feature. Once a platform choose it it does not makes sense to return to the world before it so you should not really care about it.
------- Comment #4 From 2011-09-08 08:45:25 PST -------
Created an attachment (id=106743) [details]
proposed patch
------- Comment #5 From 2011-09-08 08:46:56 PST -------
Attachment 106743 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCor..." exit_code: 1

Source/WebKit/qt/ChangeLog:1:  ChangeLog entry has no bug number  [changelog/bugnumber] [5]
Total errors found: 1 in 18 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #6 From 2011-09-08 08:48:00 PST -------
Created an attachment (id=106745) [details]
proposed patch

Added missing bug link.
------- Comment #7 From 2011-09-08 09:02:32 PST -------
(From update of attachment 106745 [details])
Attachment 106745 [details] did not pass cr-mac-ews (chromium):
Output: http://queues.webkit.org/results/9618717
------- Comment #8 From 2011-09-08 09:12:17 PST -------
(From update of attachment 106745 [details])
Chromium has forked the LinkHash support functions in chromium/PlatformSupport.h so we need another way of creating the hash for Qt.
------- Comment #9 From 2011-09-09 03:43:45 PST -------
Created an attachment (id=106855) [details]
proposed fix v2
------- Comment #10 From 2011-09-12 06:28:45 PST -------
Created an attachment (id=107047) [details]
updated patch
------- Comment #11 From 2011-09-21 01:51:36 PST -------
(From update of attachment 107047 [details])
r=me, but cq-, because CQ still hates my name. :(
------- Comment #12 From 2011-09-21 01:58:16 PST -------
(From update of attachment 107047 [details])
Clearing flags on attachment: 107047

Committed r95604: <http://trac.webkit.org/changeset/95604>
------- Comment #13 From 2011-09-21 01:58:25 PST -------
All reviewed patches have been landed.  Closing bug.